<?php
namespace App\Controller;
class FaceController extends BaseController {
	public function member_customer_list(){
  		$param=I('param.');
		
		$auth_code='main-face_recognition';
        $ret=D("Pad/ShopsRoleAuth")->check_auth_code($auth_code,$param);
		if($ret['status']!=1) {$this->ajaxReturn($ret);}
		
		if($param['shop_id']){
			$return=D('Pad/Face')->member_customer_list($param);
		}else{
			$return['status']=3;
			$return['msg']="参数错误";
		}
  		$this->ajaxReturn($return);
    }
    public function member_customer_info(){
    	$param=I('param.');
    	$return=array('status'=>3);
    	if($param['customer_id']){
    		$return=D('Pad/Face')->member_customer_info($param);
    	}else{
    		$return['msg']="参数错误";
    	}
    	$this->ajaxReturn($return);
    }
    public function change_membertype(){
      $param=I('param.');
      $data=D('Common/Face')->change_membertype($param);
      $this->ajaxReturn($data);
    }
}
?>